package com.engine.salary.mapper.setting;

import com.engine.salary.entity.setting.po.PageLinkPO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

public interface PageLinkMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<PageLinkPO> listAll();
    
    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<PageLinkPO> listSome(PageLinkPO pageLink);
    

	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	PageLinkPO getById(Long id);
	
	/**
     * 新增，忽略null字段
     *
     * @param pageLink 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(PageLinkPO pageLink);

	
	/**
     * 修改，修改所有字段
     *
     * @param pageLink 修改的记录
     * @return 返回影响行数
     */
	int update(PageLinkPO pageLink);
	
	/**
     * 修改，忽略null字段
     *
     * @param pageLink 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(PageLinkPO pageLink);
	
	/**
     * 删除记录
     *
     * @param pageLink 待删除的记录
     * @return 返回影响行数
     */
	int delete(PageLinkPO pageLink);
    
    /**
     * 批量删除记录
     * @param ids 主键id集合
     */
    void deleteByIds(@Param("ids") Collection<Long> ids);

}